[project]
name = "screw-bardo"
version = "0.7.0"
description = "A simple, single-threaded web app to automate an assignment."
readme = "README.md"
requires-python = ">=3.13"
dependencies = [
  # Import environment from .env 
  "dotenv>=0.9.9",
  # Web server
  "flask>=3.1.2",
  # Fetch the transcripts of YouTube videos
  "youtube-transcript-api>=1.2.3",
  # OpenAI API to get AI response
  "openai>=2.7.0",
  # Easiest way to install it in the venv rip
  "gunicorn>=23.0.0",
  # just for logging I think? who knows what I was doing lol
  "pytz>=2025.2",
]

# I think these are just the default settings for the most part...
[tool.basedpyright]
typeCheckingMode = "recommended"
reportMissingImports = true
reportUnusedImport = true
reportUnusedVariable = true
reportUndefinedVariable = true
reportPrivateUsage = true
